Bug 804291 - [abrt] vim-X11-7.3.444-1.fc17: may_core_dump: Process /usr/bin/gvim was killed by signal 11 (SIGSEGV)
[abrt] vim-X11-7.3.444-1.fc17: may_core_dump: Process /usr/bin/gvim was kille...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: vim (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Karsten Hopp
Fedora Extras Quality Assurance
abrt_hash:5c80060dc07f07f2042cd5396de...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-17 08:02 EDT by Angus Salkeld
Modified: 2014-01-12 20:40 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-18 10:04:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (8.74 KB, text/plain)
2012-03-17 08:02 EDT, Angus Salkeld
no flags Details
File: backtrace (40.41 KB, text/plain)
2012-03-17 08:03 EDT, Angus Salkeld
no flags Details
File: maps (43.72 KB, text/plain)
2012-03-17 08:03 EDT, Angus Salkeld
no flags Details

  None (edit)
Description Angus Salkeld 2012-03-17 08:02:52 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        gvim -f
crash_function: may_core_dump
executable:     /usr/bin/gvim
kernel:         3.3.0-0.rc6.git0.2.fc17.x86_64
pid:            9404
pwd:            /home/asalkeld
reason:         Process /usr/bin/gvim was killed by signal 11 (SIGSEGV)
time:           Sat 17 Mar 2012 10:57:51 PM EST
uid:            1001
username:       asalkeld
xsession_errors: 

backtrace:      Text file, 41381 bytes
dso_list:       Text file, 8952 bytes
maps:           Text file, 44766 bytes

build_ids:
:766fa7124150058af0f9ce4c39148868b4dbb47f
:45b9c1436f78151fc2e3f8ab1189d31532b2f2af
:7716bc5c1738194dad6ec6679d05ae3782139288
:43ff5c6ac32fdbb249c0738b601d80522e7ff9c8
:7c35310fc506498c612d5d982ab03becc4b4817c
:c9144ee0e62d27d3e153d15c8d2e0b4188ba3460
:e2f8ba3db2c86456528fe1f09829c62263d0fdee
:5bbbe16527d496a0e0fefc6ba0c0219a71a0e4c1
:657855175bdd1a6a2a52f1b51fd5b8a1afe2efcd
:d23ad34ab62b74ab51eb61de167b89aac5fcdc34
:8e283d5e8a5d6fc31e0d3d4e368a8ab855b39eea
:1105191f3daac14fc9bacffbeec80f82e6923d15
:dc97f77dc1397ce4190c83988e15fe8b6d86e30a
:822e9b3523e8312240f41a25722d539bc77ed436
:5f30706c1a4415d431f4b778a5f4cc6e0bb0bd0e
:d4a8381928ec1b6549cb960e1551b801374d466a
:a9eb9e4d2da6b047bad0601ad65f06ea8afb3603
:a095f564bf20c90a6e26a32fe83d4d04c5eadbcb
:f4d479614b09460085428bbe7d53df454d0d39e5
:d804f8ee47797da9213a92f00cd095ecada8d79f
:4b044fe80e4c1b69986abc4b160c303048005d4e
:bc75110cf88cd44b833085de110add1d3beee49b
:f798b6d1366e0a899d798887bca81a4b856bfa90
:49a629b520349aced9d9f3886d23692b7a0aa9d2
:2583bf68f2f1c27bb1d9964faa91971bd35e14d8
:d74c5facc600e702f7e69f50ecea66c97b2bed77
:3aa364e64dd370c14adc27be6df2d70960406d7e
:ae1f34abaca7b7ae310a9743c310cfacc38ada5a
:f6d72221cbd08cb36bb88823d33deb2024f2bee3
:2ee2cde50be866ba369f8d72e087de876bba9457
:b1e3a6defd2119a017e2c5b43fbaf7d48d46a9cd
:4f9a85443f33acbad2eb0068b0d8128b38944b9f
:486ec0900e9b4c5e43ae830391d39078347acf8e
:1d4df97fa6024b097b634a272447243c95c26d85
:87712be648d2d43ea4cd002fe7a859df636f1e13
:fe227d9fda629f490171bfb357f7cea0cd197e8f
:2c09a3f87a92231b0acabb79968d235d61c36967
:3487e864b19f6de773f67a25f90a693ad83592e1
:652697d945b4084f8ecf3bbd2eeb5d33b69aff4f
:5bc2d347a293d92e3c373d09875abb8a267a9fc4
:ce246b3297de0d233ac2c5f9e50061e2b13a330c
:1afd6c9a06f6af6a681ad6845b447d38c592fd32
:666abf228c966f37766ad17cd64ba794136e9ac9
:45f039e5502bbe765a1f13d93b1fc95250ba6530
:5c7b49ff60f2c7d76677faa76851a668f2b23bd1
:277d74794a8d683ef066f298ec72b16b3a5ea5b2
:271a2d91cc3308783ff4a7ab45049f31aa42d8b7
:4194f49481485f98de7853b6407338a4393171ac
:f0264e76a3f8ec444874b1a23d68c2ecaeba5e1c
:64a6841c93f96db45c9ed61841907c3ad1bb8961
:76fae8d5d0d0171cf039cff5c0eeaa58fc592df9
:c04e591ba5fff2694e134125ec6cf7c28c579cb4
:cb4d385c55c522feae9fb39650f6f365f568796c
:8a58512c2cc89530f70932553442289158de3083
:0e1267a4d81de05f053eeed7f2f61fb46cda9e7c
:66c68053ca635934753058b7e72206f85a260b80
:5700354e05ad144ddb4ea0c243bd50fc199e612d
:f4f9ce91c43285df84177f9684a3e7f190a0aae1
:5d08d928a5f0b7efa48e4874b6dc4337d0a5ffb1
:2a19651717ca94078d6f064b28d9f7f4985de0ae
:3dd28f8a8b722d6f4d332bc688cc6b8a93f1cf16
:404cbecd24d186758ed474b345313da28b2990fa
:658cde0cb9c8a75c6f9dd19482bf4cd214194642
:efc7e10ac44bc4d180782fa50c1f83545253c3ac
:348363b75ba2150fca6a94fb3331dfc75a4f026b
:247132297f287226a24c12e683292f5c94013066
:46fe2763c4865dc6cd3b28818e63f42f4e3b0139
:63651cdc0224824a9c9324c77c3b5887378e871d
:936d9250a7c10c93b97493f7f5d41d11a17aa85c
:473e64bfe079b918b2112531e141d8321733c944
:6a6f7e91aa12548505e8302f27282865ff2842d3
:2e9c83ca984afb608a9c0e27ab8dd0b0c4f89746
:e850c9c2577f79b97ad4c53dbf9b0964682dcbaa
:4d9f1e9a6e14bb126793e5796a5951874dd83038
:f2cdc48ace0c10d48630d8750d1fed16f7760a44
:2348d82efc78d838cb28f784c3a61c627d45278a
:e91010b497ec024178c36f4365b21f668bada0ca
:3e9f65a1ee01419219fb006790eb394dab35d0b7
:4743afc0117cda9819d571cd9d0f6f368ac043b6
:7a19fd8074fd835024c84b4e6725f7827f3178a3
:dd21f08880cf87ac1242266eb1dd7de0c26265ce
:852fa36b52f614e2475bc4493068c373ebf6d0da
:b5797b67e070ac4ccaff8d7180cf635fa0f31cbf
:d63bb33cc72fe9b843091836ce4cd9526e438480
:92547dc9d8dbdfcc82a015d5ed371a0ce5326b6b
:3d29e38241615a73204404cd372572bbfa529dfe
:1fa4aa0f57b72034546fd97a1e0520e7d6502e0d
:33e8bcc0c4773008f11b34ee1e021b6bfe06f97d
:5bf8427ddeff24a2bd36962f68e6af6ffe14970f
:ac3d66721f59366c2cbb810281dcb645444212b2
:421e08f8e61d90c9a1297dd0baf7b9a8bf492142

environ:
:XDG_VTNR=2
:XDG_SESSION_ID=11
:HOSTNAME=elf
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=23367adbd7706974725e93fe00000012-1331879684.991450-386622857
:GNOME_KEYRING_CONTROL=/tmp/keyring-g58i8a
:IMSETTINGS_MODULE=none
:USER=asalkeld
:COVERITY_UNSUPPORTED=1
:CHROMIUM_USER_FLAGS=--password-store=gnome
:USERNAME=asalkeld
:MAIL=/home/asalkeld/Mail/INBOX
:PATH=/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/asalkeld/.local/bin:/home/asalkeld/bin:/opt/cov-sa-linux64-5.5.1/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/asalkeld
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=4419
:LANG=en_US.utf8
:GDM_LANG=en_US.utf8
:KDEDIRS=/usr
:GDMSESSION=gnome
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/asalkeld
:SHLVL=1
:LOGNAME=asalkeld
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-e5C0C6NLQk,guid=3d56526c61f895bb49a3b4d700000e90
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=2
:'TEST_NODES=cts1 cts2 cts3'
:XDG_RUNTIME_DIR=/run/user/asalkeld
:DISPLAY=:0
:CCACHE_HASHDIR=
:XAUTHORITY=/var/run/gdm/auth-for-asalkeld-DQhNXG/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/4425,unix/unix:/tmp/.ICE-unix/4425
:SSH_AUTH_SOCK=/tmp/keyring-g58i8a/ssh
:GPG_AGENT_INFO=/tmp/keyring-g58i8a/gpg:0:1
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:G_MESSAGES_DEBUG=all
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/fedora-gvim.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=9404

user_gvimrc:
:
:
:source $VIMRUNTIME/gvimrc_example.vim
:
:colorscheme angus

user_vimrc:
:
:source $VIMRUNTIME/vimrc_example.vim
:
:" vim plugins
:" ===========
:" git clone https://github.com/SirVer/ultisnips.git
:set runtimepath+=~/vim-plugins/ultisnips
:
:" git clone https://github.com/int3/vim-taglist-plus.git
:set runtimepath+=~/vim-plugins/vim-taglist-plus
:
:" set tag search options
:set complete=.,w,b,d,],i,k
:set tags=~/.vimprojects_tags/clib-headers
:set dictionary=~/.vim/wordlists/c-keywords.list
:set showfulltag 	" when completng a word in ins mode 
:
:" search options
:set incsearch					" do incremental searching
:set hlsearch					" Switch on search pattern highlighting.
:set ignorecase 					" in searches
:set smartcase 					" don't ignore if looking for upper case in searches
:
:" backspace and cursor keys wrap to previous/next line
:set backspace=indent,eol,start whichwrap+=<,>,[,]
:set autowrite " auto saves changes when quitting and swiching buffer
:
:
:" set line number on by default
:set nu
:
:" turn line highlighting off
:set nocursorline
:
:
:" set the default plugin accessor
:let g:mapleader = '\'
:
:" change strange menu popup defaults
::hi Pmenu     ctermfg=black  ctermbg=yellow guifg=black  guibg=yellow
::hi PmenuSel  ctermfg=yellow ctermbg=blue   guifg=yellow guibg=blue
:
:" Life saving backup mechanism
:" ==============================
:set backup
:let nowdate =  strftime("%d-%m-%Y")
:call system("mkdir -p ~/tmp/vim-backup/" . nowdate)
:call system("mkdir -p ~/tmp/vim-swap/" . nowdate)
:execute "set backupdir=~/tmp/vim-backup/".nowdate.",~/tmp,/tmp"
:execute "set directory=~/tmp/vim-swap/".nowdate.",~/tmp,/tmp"
:let nowtime =  strftime("%T")
:execute "set backupext=_" . nowtime 
:
:" doxygen
:" =======
:au BufNewFile,BufRead *.dox setfiletype doxygen
:let g:doxygen_enhanced_color=1
:
:
:" Coding style
:" ================
:let g:csindent_ini = expand('~/.vim/coding_style.ini')
:
:" Tag menu (Tlist)
:" ================
:let g:Tlist_WinWidth = 'auto'
:let g:Tlist_Use_SingleClick = 1
:let g:Tlist_Show_One_File = 1
:let g:Tlist_Auto_Highlight_Tag = 1
:let g:Tlist_Highlight_Tag_On_BufEnter = 1
:let g:Tlist_Use_Right_Window = 1
:
:" minibuf explorer
:" ================
:let g:miniBufExplMapWindowNavVim = 1 
:let g:miniBufExplMapWindowNavArrows = 1 
:let g:miniBufExplMapCTabSwitchBufs = 1 
:let g:miniBufExplModSelTarget = 1 
:
:" supertab
:let g:SuperTabDefaultCompletionType = "<C-X><C-O>"
:let g:SuperTabDefaultCompletionType = "context"
:
:" whitespace errors
:" =================
:match ErrorMsg /\s\+$\| \+\ze\t/
:
:" mapping commands
:" ================
:
:" remove trailing spaces
:nnoremap <silent> <F2> :let _s=@/<Bar>:%s/\s\+$//e<Bar>:let @/=_s<Bar>:nohl<CR>
:
:nnoremap <silent> <F3> :NERDTreeToggle<CR>
:
:" ack grepping
:nnoremap <silent> <F4> :Ack <C-R><C-W><CR>
:
:" toggle the taglist
:nnoremap <silent> <F5> :TlistToggle<CR>
:
:" quick moving between windows
:nmap <silent> <M-Up> <c-w>k<c-w>
:nmap <silent> <M-Down> <c-w>j<c-w>
:nmap <silent> <M-Left> <c-w>h<c-w>
:nmap <silent> <M-Right> <c-w>l<c-w>
:

var_log_messages:
:Mar 17 22:56:54 elf abrt[9377]: Saved core dump of pid 7718 (/usr/bin/gvim) to /var/spool/abrt/ccpp-2012-03-17-22:56:53-7718 (21495808 bytes)
:Mar 17 22:57:51 elf abrt[9439]: Saved core dump of pid 9404 (/usr/bin/gvim) to /var/spool/abrt/ccpp-2012-03-17-22:57:51-9404 (13434880 bytes)
Comment 1 Angus Salkeld 2012-03-17 08:02:59 EDT
Created attachment 570791 [details]
File: dso_list
Comment 2 Angus Salkeld 2012-03-17 08:03:02 EDT
Created attachment 570792 [details]
File: backtrace
Comment 3 Angus Salkeld 2012-03-17 08:03:04 EDT
Created attachment 570793 [details]
File: maps
Comment 4 Matt Spaulding 2012-04-21 17:58:01 EDT
I attempted to use python/vim integration. It seems that evaluating python code works most of the time, but when attempting to write output to stdout vim would crash every time.

Steps to reproduce the issue:

1. Start vim-enhanced from the command line by running "/usr/bin/vim"

2. Type ":python print "hello world"

3. Vim crashes


backtrace_rating: 4
Package: vim-enhanced-7.3.444-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 5 Jamie Lennox 2012-06-02 01:03:31 EDT
Open gvim or vim 

backtrace_rating: 4
Package: vim-X11-7.3.515-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 6 Jamie Lennox 2012-06-02 01:09:55 EDT
Turns out for me i had copied vimrc over from another computer and on this one i hadn't installed ruby.

Installed ruby and vim loads fine.
Comment 7 Tomasz Kontusz 2012-06-13 18:48:57 EDT
I copied ~/.vim* from my old Ubuntu install (where it worked). With no config it works.

backtrace_rating: 4
Package: vim-enhanced-7.3.515-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 8 Karsten Hopp 2012-06-18 10:04:11 EDT
I believe this has been fixed with the latest vim, one of the patches mentions this:
7.3.497  crash when doing ":python print", compiled with gcc -O2

So please get the latest vim package, either 7.3.515 from f17-updates or vim-7.3.556 from f17-updates-testing and reopen this bugzilla if the issue is still reproducable with those versions.
Comment 9 Wesley Burr 2012-06-27 12:29:53 EDT
@ Jamie Lennox (and others):

Same problem: installed FC17, tried to launch vim/gvim, immediate segfault. Your suggestion of installing ruby fixed it. Perhaps this should be classified as a dependency issue? I chose to install vim during the fresh install of FC17, and it should have picked up the dependency issue, but obviously didn't.

Note You need to log in before you can comment on or make changes to this bug.